#!/bin/sh
#
# FARB-WERTE:
RO="\033[31m"                 # Schriftfarbe rot
FR="\033[1m\033[31m"          #
FG="\033[1m\033[42m\033[37m"  # Schriftfarbe fett + weiß + grüner Hintergrund
NO="\033[0m"                  # Schriftfarbe normal
#
echo
STICK="16_GB_P" # Gerätename für USB-Stick (16GB)
#
df -k | grep /media/$USER/$STICK 1>/dev/null 2>/dev/null
if [ $? -gt 0 ];
then
  echo "${RO}Der USB-Stick $STICK muss eingehängt sein!";
  echo "Das Sicherungsprogramm wird deshalb beendet!${NO}";
  echo
  echo "Beenden mit ENTER!";
  read a
  exit 1;
else
echo
echo "${FG}Sicherung Gambas-Projekte auf USB-Stick $STICK mit ENTER starten ...${NO}"
echo "__________________________________________________________________________";
echo
read a
# Muster:
# sudo rsync -ab --progress --delete --backup-dir=BACKUP-DIR SOURCE-DIR/ TARGET-DIR 
sudo rsync -ab --progress --delete --backup-dir=/media/$USER/$STICK/GB3Backup $HOME/GB3Projekte/ /media/$USER/$STICK/GB3Projekte  
#
echo
echo "__________________________________________________________________________";
echo 
echo "${FR}Ende der Sicherung auf $STICK.${NO}"
echo
echo "${FR}Der USB-Stick $STICK wird anschließend ausgehängt!${NO}"
echo "${FR}Abschluss mit ENTER!${NO}"
read b
fi
echo
echo "${FG}Unbedingt warten, bis der USB-Stick $STICK ausgehangen worden ist!${NO}";
umount /media/$USER/$STICK
